UrlCreator (Grails 6.0.0)

Package: grails.web.mapping

## [Java] Interface UrlCreator

-     @java.lang.SuppressWarnings("rawtypes")
      public interface UrlCreator

  Creates URL patterns as Strings. A UrlCreator is passed is a set of parameter values and produces a valid relative URI.

  Authors:
    Graeme Rocher
  Since:
    0.5.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)` Creates a URL for the given parameters values, controller and action names without the context path information
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)` Creates a URL for the given parameters values, controller and action names without the context path information
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)` Creates a URL for the given parameters values, controller and action names without the context path information
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)` Creates a URL for the given parameters values, controller and action names without the context path information
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)` Creates a URL for the given parameters values, controller and action names without the context path information
    `` | `public java.lang.String` | `createURL(java.util.Map parameterValues, java.lang.String encoding)` Creates a URL for the given parameter values
    `` | `public java.lang.String` | `createURL(java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)` Creates a URL for the given parameter values
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)` Creates a URL for the given parameters values, controller and action names
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)` Creates a URL for the given parameters values, controller and action names
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)` Creates a URL for the given parameters values, controller and action names
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)` Creates a URL for the given parameters values, controller and action names
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)` Creates a URL for the given parameters values, controller and action names

- - ### Method Detail

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)

      Creates a URL for the given parameters values, controller and action names without the context path information

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

      Creates a URL for the given parameters values, controller and action names without the context path information

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `pluginName` - The name of the plugin which provides the controller
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

      Creates a URL for the given parameters values, controller and action names without the context path information

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `namespace` - The controller namespace
        `pluginName` - The name of the plugin which provides the controller
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

      Creates a URL for the given parameters values, controller and action names without the context path information

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
        `fragment` - The fragment to append to the end
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

      Creates a URL for the given parameters values, controller and action names without the context path information

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `namespace` - The controller namespace
        `pluginName` - The name of the plugin which provides the controller
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
        `fragment` - The fragment to append to the end
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createURL(java.util.Map parameterValues, java.lang.String encoding)

      Creates a URL for the given parameter values

      Parameters:
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
      Returns:
        Returns the created URL for the given parameter values

    - #### public java.lang.String createURL(java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

      Creates a URL for the given parameter values

      Parameters:
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
        `fragment` - The URL fragment to be appended to the URL following a #
      Returns:
        Returns the created URL for the given parameter values

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)

      Creates a URL for the given parameters values, controller and action names

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

      Creates a URL for the given parameters values, controller and action names

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `pluginName` - The name of the plugin which provides the controller
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

      Creates a URL for the given parameters values, controller and action names

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `namespace` - The controller namespace
        `pluginName` - The name of the plugin which provides the controller
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

      Creates a URL for the given parameters values, controller and action names

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
        `fragment` - The URL fragment to be appended to the URL following a #
      Returns:
        The created URL for the given arguments

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

      Creates a URL for the given parameters values, controller and action names

      Parameters:
        `controller` - The controller name
        `action` - The action name
        `namespace` - The controller namespace
        `pluginName` - The name of the plugin which provides the controller
        `parameterValues` - The parameter values
        `encoding` - The encoding to use for parameters
        `fragment` - The URL fragment to be appended to the URL following a #
      Returns:
        The created URL for the given arguments